# Class KeywordMap<V>

java.lang.Object
org.a11y.brlapi.KeywordMap<V>

public class KeywordMap<V> extends Object

## Constructor Summary

Constructors
Constructor
Description
`KeywordMap()`

## Method Summary

Modifier and Type
Method
Description
`final V`
`get(String keyword)`
`final String[]`
`getKeywords()`
`final boolean`
`isEmpty()`
`KeywordMap<V>`
`put(String keyword, V value)`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### KeywordMap

public KeywordMap()

## Method Details

### put

public KeywordMap<V> put(String keyword, V value)

### get

public final V get(String keyword)

### getKeywords

public final String[] getKeywords()

### isEmpty

public final boolean isEmpty()